﻿using Infragistics.Controls.Charts;
using System;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;

namespace XamDataChart_CategoryXAxis
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new MainWindowViewModel();
        }
    }

    public partial class MainWindowViewModel : INotifyPropertyChanged
    {
        private ObservableCollection<ChartData> _chartDataSource;

        public ObservableCollection<ChartData> ChartDataSource
        {
            get
            {
                return _chartDataSource;
            }
            set
            {
                if (_chartDataSource == value)
                    return;
                _chartDataSource = value;
                RaisePropertyChanged("ChartDataSource");
            }
        }

        public MainWindowViewModel()
        {
            ChartDataSource = new ObservableCollection<ChartData>();

            for (int i = 1; i < 21; i++)
            {
                ChartDataSource.Add(new ChartData() { Label = i.ToString(), Value = i % 6  });
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void RaisePropertyChanged(string name)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(name));
            }
        }
    }

    public class ChartData
    {
        public string Label { get; set; }
        public double Value { get; set; }
    }
}
